it-swarm-ja.com

カーネルの更新を回避するにはどうすればよいですか?

Kubuntu 14.04.1 LTS Trustyのカーネルバージョンをフリーズしたい。 /etc/apt/source.listの5行目と6行目をコメントするだけで十分ですか(以下を参照)。

4 ...  
5 deb http://de.archive.ubuntu.com/ubuntu/ trusty main restricted  
6 deb-src http://de.archive.ubuntu.com/ubuntu/ trusty main restricted  
7 ...

使用中のカーネル(前に「i」が付いているカーネル)を確認します。

root:~# aptitude search linux-image-generic linux-headers-generic  
i A linux-headers-generic                               - Generische Linux-Kernel-Header  
p   linux-headers-generic-lts-quantal                   - Generische Linux-Kernel-Header  
p   linux-headers-generic-lts-raring                    - Generische Linux-Kernel-Header  
p   linux-headers-generic-lts-saucy                     - Generische Linux-Kernel-Header  
p   linux-headers-generic-lts-trusty                    - Generische Linux-Kernel-Header  
p   linux-headers-generic-lts-utopic                    - Generic Linux kernel headers  
p   linux-headers-generic-lts-vivid                     - Generic Linux kernel headers  
p   linux-headers-generic-pae                           - Übergangspaket  
i A linux-image-generic                                 - Generisches Linux-Kernel-Abbild  
p   linux-image-generic-lts-quantal                     - Generisches Linux-Kernel-Abbild  
p   linux-image-generic-lts-raring                      - Generisches Linux-Kernel-Abbild  
p   linux-image-generic-lts-saucy                       - Generisches Linux-Kernel-Abbild  
p   linux-image-generic-lts-trusty                      - Generisches Linux-Kernel-Abbild  
p   linux-image-generic-lts-utopic                      - Generic Linux kernel image  
p   linux-image-generic-lts-vivid                       - Generic Linux kernel image  
p   linux-image-generic-pae                             - Übergangspaket
16
musbach

これらの行は、カーネルのアップグレードとは無関係です。また、コメントするのも良くありません。実行すると、一部のパッケージをインストールできなくなります。

カーネルパッケージを含む任意のパッケージをフリーズできます。

Sudo apt-mark hold <package_name>

例えば

Sudo apt-mark hold linux-image-generic linux-headers-generic

ただし、LTSバージョン用にインストールされているカーネルメタパッケージを確認する必要があります。 linux-generic-lts-utopicなどです。

21
Pilot6